Зеркальное отображение в компасе

При построении модели может потребоваться создать копии элементов, симметричные исходным относительно заданной плоскости.

В КОМПАС-3D имеется команда зеркального копирования элементов. С ее помощью можно строить зеркальные копии отдельных элементов детали, а также создавать детали, обладающие плоскостью симметрии (т.е. зеркально отражать все элементы детали)

Вы можете создавать зеркальные копии приклеенных и вырезанных элементов, а также построенных на их ребрах фасок и скруглений.

Чтобы выполнить зеркальное копирование, вызовите команду ОперацииЗеркальныймассив.

Кнопка вызова этой команды находится на панели Массивы.

Команда Зеркальныймассивпозволяет получитькопиювыбранных элементов,симметричнуюим относительно указанной плоскости или плоской грани.

Элементы, которые требуется зеркально отразить, можно выделить перед вызовом команды. Для этого укажите их в Дереве моделиили в окне детали.

Для вызова команды нажмите кнопку Зеркальныймассивна инструментальной панели редактирования детали или выберите ее название в менюОперации.

Укажите приклеиваемые объекты (операции, тела, поверхности, кривые), если они не были выделены перед вызовом команды.

Укажите плоскость симметрии в Деревемоделиили в окне детали.

На экране появится фантом зеркального массива. Если он вас не устраивает, измените параметры операции, указав другую плоскость симметрии или исходные объекты. Для этого снимите выделение с указанных объектов и укажите новые.

Рис. 5. Результат операции

Оболочка

Деталь можно преобразовать в тонкостенную оболочку.

При создании оболочки все тело детали исключается из расчетов, а к ее граням добавляется слой материала, образующий оболочку.

Если материал добавлять ко всем граням детали, то получится пустотелая (полая) деталь. В КОМПАС-3D построение такой детали не допускается; для создания оболочки требуется исключить одну или несколько граней, к которым не должен добавляться материал. Эти грани превратятся в отверстия (или отверстие) в получившейся оболочке.

Читайте также:  Ms sql начало месяца

Чтобы создать тонкостенную оболочку, вызовите команду ОперацииОболочкаили нажмите кнопкуОболочка на панелиРедактированиедетали.

После вызова команды на Панелисвойствпоявятся элементы управления, которые позволяют задать параметры операции.

Задайте толщинуинаправлениедобавления материала (наружу или внутрь). Выберите грани детали, которые не должны участвовать в построении оболочки, указав их курсором в окне детали.

Рис. 6. Результат операции

Задание 19-1 на построение тел с массивами

Создайте новую деталь Прокладка.

Эскиз 1 – прямоугольник (170х120) в плоскости XZсо скруглением 10 мм –выдавите на расстояние 5 мм,

Эскиз 2 – прямоугольник (130х80) в плоскости XZсо скруглением 10 мм –вырежьтечерез всю деталь.

Эскиз 3 – окружность диаметром 10 мм с центром в точке пересечения средних линий – вырежьтечерез всю деталь,

Для операции с эскизом 3выполнитеМассив по сетке.

Установите параметры копирования:

Для первой оси: Шаг – 150 между первой и последней копиями,Количество копий – 4.

Вдоль второй оси на участке длиной 100 мм необходимо расположить три отверстия.

Сохраните деталь под именемФамилия 19-1-1.

Создайте новую деталь. Выполните эскиз

Примените к нему операцию вращения.

Выполните одно отверстиевырезанием окружности.

Создайте ось вращения (Ось конической поверхности),указав внутреннюю цилиндрическую поверхность крышки.

Выполните массивотверстийпоконцентрической сетке, указав количество 6, 360 градусов.

Выполните зеркальное отражение относительно грани с меньшей окружностью.

Сохраните деталь под именем Фамилия 19-1-2 .

Глава 85. Массивы элементов

При создании массива вдоль кривой вы можете управлять направлением копирования с
помощью переключателей группы

Направление. Смена направления по!разному влия!

ет на массивы с замкнутой и разомкнутой траекториями.

Если траектория замкнута, то

Прямое направление копирования означает расположе!

ние элементов вдоль траектории по одну сторону от исходного, а

Читайте также:  Opencart api добавить товар

направление — по другую сторону (рис. 85.6).

Если траектория разомкнута, то

Прямое направление копирования означает, что нача!

ло траектории определяется умолчательным образом — начальной точкой считается
ближайший к исходному элементу конец траектории. При выборе

ления началом траектории будет считаться другой ее конец (рис. 85.7).

85.4.2. Шаг копирования

Количество количество копий.

Копии можно расположить равномерно вдоль всей направляющей или на заданном рас!
стоянии друг от друга. Чтобы выбрать вариант построения, в группе

руйте соответствующий переключатель (см. табл. 85.6).

Рис. 85.6. Смена направления для массива с замкнутой траекторией:

а) исходный элемент и траектория (выделена утолщенной линией),

б) массив в прямом направлении, в) массив в обратном направлении

Если траектория копирования замкнута и элементы располагаются вдоль всей направля!
ющей (см. табл. 85.6), то результат операции не зависит от направления копирования.

Рис. 85.7. Смена направления для массива с разомкнутой траекторией:

а) исходный элемент и траектория,

б) массив в прямом направлении, в) массив в обратном направлении

Параметры зеркального отображения элементов детали относительно плоскости (ksMirrorCopyDefinition)

Согласно документации КОМПАС 8 параметры зеркального отображения элементов детали относительно плоскости задаются с помощью интерфейса ksMirrorDefinition. Однако в модуле ksTLB.pas его нет. Вместо него в этом модуле описан интерфейс ksMirrorCopyDefinition с точно таким же прототипом. В более новых версиях КОМПАСа (11 и 13) данная оплошность устранена.

У интерфейса ksMirrorCopyDefinition нет свойств. Поэтому сразу переходим к рассмотрению его методов.

SetPlane – устанавливает плоскость симметрии. В качестве

единственного параметра принимает интерфейс ksEntity, описывающий устанавливаемую плоскость. В случае успеха возвращает значение TRUE.

GetPlane() – возвращает интерфейс ksEntity, описывающий плоскость симметрии, установленную методом SetPlane.

GetOperationArray()1 – возвращает интерфейс ksEntityCollection (см. главу 63) массива элементов, подлежащих копированию. Каждый элемент в этом массиве описывается интерфейсом ksEntity.

Пример

Ниже представлен ключевой фрагмент исходного текста программы, демонстрирующей использование этой операции.

Читайте также:  Мать не видит видеокарту

kompas: KompasObject; Document3D: ksDocument3D; Part: ksPart;

EntityCollection: ksEntityCollection; EntityPlaneXOY,EntityPlaneYOZ,EntityPlaneOffset: ksEntity; EntityExtrusion,EntityBossExtrusion: ksEntity; EntitySketch, ,EntityMirrorOperation: ksEntity; SketchDefinition: ksSketchDefinition;

1 Согласно документации КОМПАС 8 данный метод описан как OperationArray(). Однако в модуле ksTLB.pas он описан как GetOperationArray(). В более новых версиях КОМПАСа данное несоответствие устранено.

BaseExtrusionDefinition: ksBaseExtrusionDefinition; PlaneOffsetDefinition: ksPlaneOffsetDefinition; BossExtrusionDefinition: ksBossExtrusionDefinition; MirrorCopyDefinition: ksMirrorCopyDefinition;

//Подключаемся к КОМПАСу

//Получаем интерфейс документа-модели

//Получаем интерфейс компонента

//Получаем интерфейс объекта "плоскость XOY"

//Получаем интерфейс объекта "плоскость YOZ"

//Эскиз для операции выдавливания

//Получаем интерфейс объекта "Эскиз"

//Получаем интерфейс параметров эскиза

//Устанавливаем плоскость XOY базовой для эскиза

//Входим в режим редактирования эскиза

//Выходим из режима редактирования эскиза

//Получаем интерфейс объекта "операция выдавливание"

//Получаем интерфейс параметров операции "выдавливание"

//Устанавливаем параметры операции выдавливания

//Устанавливаем эскиз операции выдавливания

//Создаем операцию выдавливания

//Получаем интерфейс объекта "смещенная плоскость"

//Получаем интерфейс параметров смещенной плоскости

//Направление смещения – прямое

//Устанавливаем базовую плоскость

//Создаем смещенную плоскость

//Эскиз для операции "приклеивание выдавливанием"

//Получаем интерфейс объекта "Эскиз"

//Получаем интерфейс параметров эскиза

//Устанавливаем смещенную плоскость базовой для эскиза

//Входим в режим редактирования эскиза

//Выходим из режима редактирования эскиза

//Получаем интерфейс объекта "приклеивание выдавливанием"

//Получаем интерфейс параметров операции "приклеивание выдавливанием" BossExtrusionDefinition:=KsBossExtrusionDefinition(EntityBossExtrusion.GetDefinition());

//Устанавливаем параметры операции "приклеивание выдавливанием"

//Устанавливаем эскиз для операции "приклеивание выдавливанием" BossExtrusionDefinition.SetSketch(EntitySketch);

//Cоздаем операцию "приклеивание выдавливанием"

//Зеркальное копирование элементов детали

//Получаем интерфейс объекта операции

//Получаем интерфейс параметров операции

//Устанавливаем плоскость отражения

//Получаем интерфейс массива отражаемых элементов

//Заполняем массив отражаемых элементов

//Делаем плоскости невидимыми

//Устанавливаем полутоновое изображение модели

//Включаем отображение каркаса

//Делаем КОМПАС видимым

На рисунке ниже показан результат работы этой программы.

Источник: Норсеев Сергей, «РАЗРАБОТКА ПРИЛОЖЕНИЙ ПОД КОМПАС В DELPHI»

Оцените статью
ПК Знаток
Добавить комментарий

Adblock detector